using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceRunHistory {

        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "설비번호"), Key]
        public int DeviceId { get; set; }
        [Display(Name = "냉난방구분"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "운전일자"), Key]
        public DateTime RunDate { get; set; }
        [Display(Name = "운전경과시간"), Required]
        public int Duration { get; set; }

        [ForeignKey("SiteId,BuildingId,DeviceId")]
        public virtual BemsDevice BemsDevice { get; set; }
        [ForeignKey(nameof(ServiceTypeId))]
        public virtual BemsServiceType ServiceType { get; set; }
    }
}
